4 Replies Latest reply: Mar 20, 2014 3:57 AM by a brody
YoungMac Level 1 Level 1 (0 points)

Have a G400, OS10.4.11. Need 10.5 or later to install a new printer.

 

1) Which one will run best?

 

2) How do I upgrade?


PowerMac, Mac OS X (10.4.11)